/**
 * LWSDO, a high performance Domain Driven Design framework.
 *
 * Copyright (c) 2012, Dilip Dalton or third-party contributors as
 * indicated by the @author tags.
 *
 * This copyrighted material is made available to anyone wishing to use, modify,
 * copy, or redistribute it subject to the terms and conditions of the GNU
 * Lesser General Public License, as published by the Free Software Foundation.
 *
 * LWSDO is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this distribution. If not, see <http://www.gnu.org/licenses/>.
 */

package org.lwsdo.exception;

public class PropertyMappingException extends ApplicationException {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public PropertyMappingException() {
		super();
	}
	
	public PropertyMappingException(String message, Exception e) {
		super(message, e);
	}
	
	public PropertyMappingException(String message) {
		super(message);
	}
	
	public PropertyMappingException(Throwable t) {
		super(t);
	}
	
}
